# A) slovníky vstupních dat
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        stát, lidí = line.strip().split(': ')
        lidi[stát] = lidí

plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        stát, plocha = line.strip().split(': ')
        plochy[stát] = plocha

# c) hustota
hustota = {}
for stát, plocha in plochy.items():
    lidí = lidi.get(stát, 0)
    hustota[stát] = plocha, lidí, int(lidí) / float(plocha)
print(...)
